- Create Pattern
- Get Attribute Pattern
- Get Pattern
- Get Patterns
- Update Pattern
- Delete Pattern
POST /api/v1/metrics/patternCreate a new patternRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Display name.
string
Regular expression pattern.
string
Type or kind of the object.
string
ID of the attribute (column).
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "US ZIP code",
"pattern": "^\\d{5}(-\\d{4})?$",
"type": "regex",
"attribute_id": null
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"name": "US ZIP code",
"pattern": "^\\d{5}(-\\d{4})?$",
"type": "regex",
"attribute_id": null
}
Response
{
"success": true,
"message": "Create a new pattern",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/metrics/pattern/attribute-patternGet patterns by attribute_id or by term (which fetches patterns for all linked assets)Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Free-text search term.
array
Array of filter objects.
array
Array of sort instructions.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/attribute-pattern" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": []
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": []
}
Response
{
"success": true,
"message": "Get patterns by attribute_id or by term (which fetches patterns for all linked assets)",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/pattern/{patternId}Get a pattern by IDPath Parametersstring
required
ID of the pattern.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Signed integer".string
Example:
"^[+-]?[0-9]+$".string
Example:
"POSIX".string
Example:
"daedafbb-3cef-51ba-84ef-bd9501a25089".string
Example:
"f149271c-40f0-5276-bcd3-7ff00ffb0b59".boolean
Example:
true.string
Example:
"53683bbe-2ca1-5766-a2d0-5bba0acdff04".string
Example:
"2026-09-16T14:43:02.553790Z".string
Example:
"491be29a-189c-5539-b9c2-6f4f7dc7972a".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/{patternId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a pattern by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "Signed integer",
"pattern": "^[+-]?[0-9]+$",
"type": "POSIX",
"attribute_id": "daedafbb-3cef-51ba-84ef-bd9501a25089",
"system_pattern_id": "f149271c-40f0-5276-bcd3-7ff00ffb0b59",
"is_valid": true,
"id": "53683bbe-2ca1-5766-a2d0-5bba0acdff04",
"created_at": "2026-09-16T14:43:02.553790Z",
"created_by": "491be29a-189c-5539-b9c2-6f4f7dc7972a"
}
}
POST /api/v1/metrics/pattern/listGet patterns with optional filtering using prizm-common filtersRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"Signed integer".string
Example:
"^[+-]?[0-9]+$".string
Example:
"POSIX".string
Example:
"daedafbb-3cef-51ba-84ef-bd9501a25089".string
Example:
"f149271c-40f0-5276-bcd3-7ff00ffb0b59".boolean
Example:
true.string
Example:
"53683bbe-2ca1-5766-a2d0-5bba0acdff04".string
Example:
"2026-09-16T14:43:02.553790Z".string
Example:
"491be29a-189c-5539-b9c2-6f4f7dc7972a".integer
Example:
23.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get patterns with optional filtering using prizm-common filters",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "Signed integer",
"pattern": "^[+-]?[0-9]+$",
"type": "POSIX",
"attribute_id": "daedafbb-3cef-51ba-84ef-bd9501a25089",
"system_pattern_id": "f149271c-40f0-5276-bcd3-7ff00ffb0b59",
"is_valid": true,
"id": "53683bbe-2ca1-5766-a2d0-5bba0acdff04",
"created_at": "2026-09-16T14:43:02.553790Z",
"created_by": "491be29a-189c-5539-b9c2-6f4f7dc7972a"
}
],
"count": 23
}
}
PUT /api/v1/metrics/pattern/{patternId}Update a patternRequest BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Display name.
string
Regular expression pattern.
string
required
ID of the pattern.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/{patternId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "US ZIP code",
"pattern": "^\\d{5}(-\\d{4})?$"
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"name": "US ZIP code",
"pattern": "^\\d{5}(-\\d{4})?$"
}
Response
{
"success": true,
"message": "Update a pattern",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/metrics/pattern/{patternId}Delete a patternPath Parametersstring
required
ID of the pattern.
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/pattern/{patternId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a pattern",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}